Bug 124085 - (New Port) databases/ruby-frontbase
Summary: (New Port) databases/ruby-frontbase
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Cheng-Lung Sung
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-05-29 04:30 UTC by Mitchell Smith
Modified: 2008-06-16 08:00 UTC (History)
0 users

See Also:


Attachments
file.shar (4.85 KB, text/plain)
2008-05-29 04:30 UTC, Mitchell Smith
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Mitchell Smith 2008-05-29 04:30:01 UTC
The ruby extension for access to FrontBase databases is not currently available in the FreeBSD ports tree.

Fix: The attached shar archive enables you to install the Ruby extension for FrontBase from www.frontbase.com via the FreeBSD ports tree.


Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2008-05-29 04:30:11 UTC
Responsible Changed
From-To: freebsd-ports-bugs->clsung

clsung@ wants this port PRs (via the GNATS Auto Assign Tool)
Comment 2 Cheng-Lung Sung freebsd_committer 2008-06-06 09:29:40 UTC
State Changed
From-To: open->feedback

Hi, where's ../frontbase dir? 

XBUILD_DEPENDS+= ${LOCALBASE}/lib/libFBCAccess.a:../frontbase
Comment 3 Mitchell Smith 2008-06-07 00:50:28 UTC
Sorry about the relative path, that was just to get the port working in my 
local ports tree.

The correct location is /usr/ports/databases/frontbase which I have 
submitted a port for, though it doesn't look like it has been committed yet 
(ports/123994).

It is probably not a good idea to commit ruby-frontbase before the main 
FrontBase port gets committed.

Thanks
Comment 4 Edwin Groothuis freebsd_committer 2008-06-16 07:50:26 UTC
State Changed
From-To: feedback->closed

Committed, thanks!
Comment 5 dfilter service freebsd_committer 2008-06-16 07:50:30 UTC
edwin       2008-06-16 06:50:26 UTC

  FreeBSD ports repository

  Modified files:
    databases            Makefile 
  Added files:
    databases/ruby-frontbase Makefile distinfo pkg-descr pkg-plist 
    databases/ruby-frontbase/files patch-extconf.rb 
                                   patch-frontbase.c 
  Log:
  (New Port) databases/ruby-frontbase
  
          The ruby extension for access to FrontBase databases is not
          currently available in the FreeBSD ports tree.
  
  PR:             ports/124085
  Submitted by:   Mitchell Smith <mjs@bur.st>
  
  Revision  Changes    Path
  1.690     +1 -0      ports/databases/Makefile
  1.1       +32 -0     ports/databases/ruby-frontbase/Makefile (new)
  1.1       +3 -0      ports/databases/ruby-frontbase/distinfo (new)
  1.1       +13 -0     ports/databases/ruby-frontbase/files/patch-extconf.rb (new)
  1.1       +61 -0     ports/databases/ruby-frontbase/files/patch-frontbase.c (new)
  1.1       +3 -0      ports/databases/ruby-frontbase/pkg-descr (new)
  1.1       +1 -0      ports/databases/ruby-frontbase/pkg-plist (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"